Ln
Arithmetic Operations

Natural logarithm of each sample of a signal. More...

## Functions

NppStatus | nppsLn_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal natural logarithm. More...
NppStatus | nppsLn_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsLn_64f_Ctx (const Npp64f *pSrc, Npp64f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point signal natural logarithm. More...
NppStatus | nppsLn_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength)
NppStatus | nppsLn_64f32f_Ctx (const Npp64f *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point signal natural logarithm with 32-bit floating point result. More...
NppStatus | nppsLn_64f32f (const Npp64f *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsLn_32f_I_Ctx (Npp32f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal natural logarithm. More...
NppStatus | nppsLn_32f_I (Npp32f *pSrcDst, int nLength)
NppStatus | nppsLn_64f_I_Ctx (Npp64f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point signal natural logarithm. More...
NppStatus | nppsLn_64f_I (Npp64f *pSrcDst, int nLength)
NppStatus | nppsLn_16s_Sfs_Ctx (const Npp16s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit signed short signal natural logarithm, scale, then clamp to saturated value. More...
NppStatus | nppsLn_16s_Sfs (const Npp16s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsLn_32s_Sfs_Ctx (const Npp32s *pSrc, Npp32s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit signed integer signal natural logarithm, scale, then clamp to saturated value. More...
NppStatus | nppsLn_32s_Sfs (const Npp32s *pSrc, Npp32s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsLn_32s16s_Sfs_Ctx (const Npp32s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit signed integer signal natural logarithm, scale, then clamp to 16-bit signed short saturated value. More...
NppStatus | nppsLn_32s16s_Sfs (const Npp32s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsLn_16s_ISfs_Ctx (Npp16s *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit signed short signal natural logarithm, scale, then clamp to saturated value. More...
NppStatus | nppsLn_16s_ISfs (Npp16s *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsLn_32s_ISfs_Ctx (Npp32s *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit signed integer signal natural logarithm, scale, then clamp to saturated value. More...
NppStatus | nppsLn_32s_ISfs (Npp32s *pSrcDst, int nLength, int nScaleFactor)

## Detailed Description

Natural logarithm of each sample of a signal.

## Function Documentation

NppStatus nppsLn_16s_ISfs | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsLn_16s_ISfs_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal natural logarithm, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLn_16s_Sfs | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsLn_16s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal natural logarithm, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLn_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsLn_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal natural logarithm.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLn_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsLn_32f_I_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal natural logarithm.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLn_32s16s_Sfs | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsLn_32s16s_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer signal natural logarithm, scale, then clamp to 16-bit signed short saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLn_32s_ISfs | ( | Npp32s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsLn_32s_ISfs_Ctx | ( | Npp32s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer signal natural logarithm, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLn_32s_Sfs | ( | const Npp32s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsLn_32s_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer signal natural logarithm, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLn_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsLn_64f32f | ( | const Npp64f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsLn_64f32f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal natural logarithm with 32-bit floating point result.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLn_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal natural logarithm.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsLn_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsLn_64f_I_Ctx | ( | Npp64f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal natural logarithm.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2018 NVIDIA Corporation